<script setup lang="ts">
const fixBtn = {
  add: true,
  edit: true,
  delete: true
}

const tableHeaders = reactive([
  { title: '主要工作代號' },
  { title: '主要工作名稱' },
  { title: '順序' }
])
</script>

<template>
  <main class="container-fluid">
    <header>
      <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
          <li class="font-zh-small-regular breadcrumb-item">
            <a href="#">基本資料</a>
          </li>
          <li
            aria-current="page"
            class="font-zh-small-regular breadcrumb-item active"
          >
            主要工作
          </li>
        </ol>
      </nav>
      <div class="d-flex justify-content-end w-100">
        <img
          alt="header-illustration"
          class="header-illustration"
          src="@/assets/images/header-illustration.svg"
        />
      </div>
      <div class="function-group">
        <div class="display-info">
          <h3 class="font-zh-h3">主要工作列表</h3>
          <div class="interact-button-list d-flex">
            <button
              class="btn btn-middle-gray-200 font-zh-button d-flex justify-content-center align-items-center"
              type="button"
            >
              <p>新增</p>
              <div class="icon-create"></div>
            </button>
          </div>
        </div>
      </div>
    </header>
    <div>
      <collapse-table />
    </div>
  </main>
</template>

<style lang="scss" scoped>
/** style */
</style>
